#include <MiniLab.h>
String title = "Hello";

Push push(1);

void setup () {

  Serial.begin(9600);
  pinMode(13, OUTPUT);
}

void loop () {

  delay(100);

  if (Serial.available() == 0) return;
  int id = MiniLab.readInt();
  if (id == MiniLab.id_start) {
    if (!MiniLab.checkTitle(title)) return;

    return;
  }
  if (id == push.id) {

    int state = !digitalRead(13);
    digitalWrite(13, state);

    push.print(state ? "Hello" : "World");
    push.set(state ? yellow : cyan);
    MiniLab.beepSound();
    MiniLab.log("log() is useful for simple display or debugging");
  }
}
